Topic: edit doesn't work (error message)

dear all,

could anybody help me with this error message? it appears when i click on edit galleries among gallery id.


Warning: pathinfo() expects parameter 2 to be long, string given in /var/www/vhosts/trachten-scs.at/httpdocs/wordpress/wp-content/plugins/wp-simpleviewer/wp-simpleviewer.php on line 261

almost the same with edit

Warning: pathinfo() expects parameter 2 to be long, string given in /var/www/vhosts/trachten-scs.at/httpdocs/wordpress/wp-content/plugins/wp-simpleviewer/wp-simpleviewer.php on line 263

or delete

Warning: pathinfo() expects parameter 2 to be long, string given in /var/www/vhosts/trachten-scs.at/httpdocs/wordpress/wp-content/plugins/wp-simpleviewer/wp-simpleviewer.php on line 264

has anybody an idea how to solve?

thanks!

philipp

Re: edit doesn't work (error message)

What version of PHP does your server use?
PATHINFO_FILENAME, which is used in WP-SimpleViewer (in the file 'wp-simpleviewer.php' in lines 261-264), was introduced in PHP v5.2.0 (02-Nov-2006).

Steven Speirs
SimpleViewer Support Team.

Re: edit doesn't work (error message)

php-Version on the server is 5.1.6... :-(

so shall i use an older version of wp-simpleviewer? or is there any other option to fix?

thanks!

philipp

Re: edit doesn't work (error message)

Links to older versions of WP-SimpleViewer are not available as older versions lack the functionality of the latest version and include bugs which have since been fixed.  (Also, there is no guarantee that older versions didn't use PATHINFO_FILENAME.)

An alternative solution might be to build a gallery using svBuilder or svBuilder Pro, upload the gallery folder to your web server and then embed the gallery using the <iframe> method: http://simpleviewer.net/simpleviewer/su … l#external

You will need to use a plugin such as PageView in order to use an <iframe> in WordPress.

Steven Speirs
SimpleViewer Support Team.

Re: edit doesn't work (error message)

ok, great.. first i'll wait for the reply of my host whether a php-update is possible in the close future. otherwise i'll try that.

thank you very very much!

philipp

Re: edit doesn't work (error message)

The WP-SimpleViewer plugin will fail if the server's PHP DOM extension has been disabled. This DOM extension is generally available in PHP 5 by default, but some sys-admins may disable it.

To enable the DOM extension please check with your web server administrator or view these instructions: http://serverfault.com/questions/66189/ … piling-php

The next version of the plugin will warn the user if the DOM extension is disabled.

Felix Turner
SimpleViewer Support Team.